/*
  IeeFlip Library - Hello World
 
 Demonstrates the use an IEE Flip VFD. Tested
 with model 03700-06-020/S 1x20 alphanumeric display.
 
 This sketch prints "Hello World!" to the VFD
 and shows the number of seconds since the sketch
 started.
 
  The circuit:
  
 * Display power connector (+5v & GND) connected to regulated 5v, 600ma power supply.
 * Display signal ground connected to Arduino ground.
 * Display data pins 0 through 7 connected to Arduino pins 7, 6, 5, 4, 3, 2, 14 and 15.
 * Display /CD pin connected to Ardunio pin 11
 * Display /WR pin connected to Arduino pin 8
 * Display /RD pin connected to Arduino pin 10
 * Display A0 pin connected to Arduino pin 9
 
 Created Mar 6, 2011.
 
 This example code is in the public domain.

 http://arduino.cc/playground/Main/IeeFlip
*/

// Include the library code.
#include <IeeFlip.h>

// Initialize the library with the numbers of the interface pins
IeeFlip vfd(11, 8, 10, 9, /* control pins */
            7, 6, 5, 4, 3, 2, 14, 15 /* data pins */);
            
void setup() {
  // Start the library/displaying to the vfd 
  vfd.begin(20, 1);
  // Print a message to the VFD.
  vfd.print("hello, world!");
}

void loop() {
  // Set the cursor to column 15, line 0
  vfd.setCursor(15, 0);
  // Print the number of seconds since reset.
  vfd.print(millis()/1000);
}

